Skip to main content
PATCH
/
alpha
/
merchant
/
customers
/
{customerId}
Update customer
curl --request PATCH \
  --url https://api.auctionnow.io/api/alpha/merchant/customers/{customerId} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "name": "<string>",
    "email": "jsmith@example.com"
  }
}
'
{
  "data": {
    "_id": "<string>",
    "_creationTime": 123,
    "email": "<string>",
    "name": "<string>",
    "userId": "<string>",
    "stripeCustomerId": "<string>"
  },
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Path Parameters

customerId
string
required

The unique ID of the customer

Body

application/json
data
object
required

Input data for updating a customer

Response

Customer updated successfully

data
object
required

The updated customer record

timestamp
number
required
message
string